# combo - content management system
# Copyright (C) 2014-2024  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.management.base import BaseCommand

from combo.data.library import get_cell_classes


class Command(BaseCommand):
    help = 'Populate cell uuids progressively'

    def handle(self, **options):
        for klass in get_cell_classes():
            for instance in klass.objects.filter(uuid__isnull=True)[:1000]:
                # save method populates uuid if it is empty
                instance.save()
